import React from 'react'
import { Switch, Route } from 'react-router-dom'

import styled from 'styled-components/macro'

import Sponsor from 'routes/sponsor'
import Register from 'routes/register'
import FrontPage from 'routes/frontpage'

import Footer from 'routes/components/footer'
import Header from 'routes/components/header'
import NotFound from 'routes/components/notFound'
import Link from '../components/link'

const AppWrapper = styled.div`
  display: flex;
  flex-direction: column;
  font-size: 1.6rem;
  min-height: 100vh;
  margin-top: auto;
`

export default function App() {
  return (
    <AppWrapper>
      <Header />
      <Switch>
        <Route exact path="/">
          <FrontPage />
        </Route>
        <Route path="/sponsor">
          <Sponsor />
        </Route>
        <Route path="/register">
          <Register />
        </Route>
        <Route>
          <NotFound />
        </Route>
      </Switch>
      <Footer />
    </AppWrapper>
  )
}
